Bug Hunting Session
Bug 120505 - Table loses relative setting after moving the inner border
Summary: Table loses relative setting after moving the inner border
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2018-10-11 12:01 UTC by Telesto
Modified: 2019-11-28 04:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (8.95 KB, application/vnd.oasis.opendocument.text)
2018-10-11 12:02 UTC, Telesto
Details
Registrymodifications (2.15 KB, application/x-zip-compressed)
2018-11-19 16:35 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-10-11 12:01:59 UTC
Description:
Table loses relative setting after moving the inner border

Steps to Reproduce:
1. Open the attached file
2. Open the table properties settings (check settings)
3. Move the inner border to the left or right
4. Open the table properties settings (check settings)

Actual Results:
Relative checkbox unchecked

Expected Results:
Should be checked


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.2.0.0.alpha0+
Build ID: 87e3539d69626780c6d7531b725dd0d64c69e6d8
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-10-10_06:50:13
Locale: nl-NL (nl_NL); Calc: CL
Comment 1 Telesto 2018-10-11 12:02:15 UTC
Created attachment 145592 [details]
Example file
Comment 2 Telesto 2018-10-11 20:49:41 UTC
Small change to the STR
1. Open Writer (in safe mode as precaution)
2. Insert a table (in normal mode)
3. Open table properties -> Set alignment to left & check Relative checkbox
4. Press OK
5. Move the inner table border
6. Open table properties -> Setting changed
7. Repeat the same in web view -> everything is fine
Comment 3 Telesto 2018-10-12 09:57:52 UTC
Fix after bug 118635 but broken again...
Comment 4 Caolán McNamara 2018-10-12 11:26:47 UTC
as far as I can see this is not a dialog issue. When the column is moved with the mouse SetWidthPercent is called with 0 in swtable.cxx:917 in SwTable::SetTabCols because the old and new borders of the table are 7 twips in difference so the width is considered to change and widthpercent is turned off. I imagine the code for SID_RULER_BORDERS in viewtab.cxx SwView::ExecTabWin is off somehow, if someone wants to figure this out
Comment 5 Telesto 2018-10-12 14:28:02 UTC Comment hidden (obsolete)
Comment 6 Telesto 2018-11-19 10:52:30 UTC
Repro with
Version: 4.4.0.0.alpha0+
Build ID: dea4a3b9d7182700abeb4dc756a24a9e8dea8474
Comment 7 Telesto 2018-11-19 16:35:05 UTC
Created attachment 146799 [details]
Registrymodifications

Also in
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

It's gone - at least for me - when using a known to be good registerymodifications.xcu
Comment 8 Telesto 2018-11-26 12:37:17 UTC
@Buovjaga
This isn't a corrupt profile issue. The known to be good profile was intended as a possible hint. 

The "Table loses relative setting after moving the inner border" is the default behaviour with a clean profile.
Comment 9 Buovjaga 2018-11-26 12:54:15 UTC
(In reply to Telesto from comment #8)
> @Buovjaga
> This isn't a corrupt profile issue. The known to be good profile was
> intended as a possible hint. 
> 
> The "Table loses relative setting after moving the inner border" is the
> default behaviour with a clean profile.

If the clean profile is bad, how do you arrive to the good?
Comment 10 Telesto 2018-11-26 16:58:50 UTC
(In reply to Buovjaga from comment #9)
> If the clean profile is bad, how do you arrive to the good?

The Million Dollar Question .. I played a little with 5.1 and suddenly started working properly
Comment 11 Buovjaga 2018-11-27 15:55:53 UTC
Repro with 6.2 beta1 and 3.3.0 on Win 10.
Comment 12 QA Administrators 2019-11-28 04:08:23 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug